logs.Register("Ticketsystem", false, Color(150, 0, 0))

logs.AddHook("TicketSystem_CreateTicket", function(ply, title, cat)
	logs.Log("Ticketsystem", ply:NameID().." hat ein Ticket ("..title..") in Kategorie "..cat.." eingereicht", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_CreateAnswer", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat eine Nachricht (Ticket: \""..ticket.title.."\") verfasst", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_CreateAdminAnswer", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat eine Admin-Nachricht (Ticket: \""..ticket.title.."\") verfasst", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_AcceptTicket", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat das Ticket ("..ticket.title..") von "..ticket.user.." übernommen", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_CloseTicket", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat das Ticket ("..ticket.title..") von "..ticket.user.." geschlossen", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_CloseTickets", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat alle Tickets geschlossen", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_CloseTickets_User", function(ply, name)
	logs.Log("Ticketsystem", ply:NameID().." hat alle Tickets von "..name.." geschlossen", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_ReopenTicket", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat das Ticket ("..ticket.title..") von "..ticket.user.." wieder geöffnet", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_DeleteTicket", function(ply, ticket)
	logs.Log("Ticketsystem", ply:NameID().." hat das Ticket ("..ticket.title..") von "..ticket.user.." gelöscht", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_DeleteTickets", function(ply)
	logs.Log("Ticketsystem", ply:NameID().." hat alle Tickets gelöscht", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)

logs.AddHook("TicketSystem_DeleteTickets_User", function(ply, name)
	logs.Log("Ticketsystem", ply:NameID().." hat alle Tickets von "..name.." gelöscht", {
		["Name"] = ply:Name(),
		["SteamID"]	= ply:SteamID()
	})
end)